import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/dmAnnounce',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/dmAnnounce/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/dmAnnounce',
    method: 'put',
    data
  })
}

export function cancel(id) {
  return request({
    url: 'api/dmAnnounce/cancel?id=' + id,
    method: 'get'
  })
}

export default { add, edit, del, cancel }
